Auto Multiple Choice - Bug # 765: using \geometry{headheight=1cm} results in wrong layout for
grading answers

Status: Closed Priority: Normal

Author: Alex Alex Category: LaTeX

Created: 03/28/2021 Assignee:

Updated: 12/08/2021 Due date:

Description: Setting the headheight=1cm in \geometry causes the layout of the boxes for automated grading to be shifted

after the first page of the subject. As a result, automated grading does not work (except for the first page of
the subject). This seems to be the same issue as described here:
https://project.auto-multiple-choice.net/boards/2/topics/6946

Version:
- AMC 1.4.0-1
- Debian 4.19.171-2

Steps to reproduce:

- Create a new project, using the attach minimal .tex as a subject.

- Update the documents (create pdf subject and calage layout file)

- Check the layout of the second page in the GUI, or attempt to grade an image of the second page (scanned
or other).

Expected behavior:
- The layout should line up with the boxes of the subject.

Observed behavior:
- The boxes are shifted to the bottom. The shift increases with distance from the top (as if the layout was
stretched). See attached partial screenshot of the file cr/page-2.1.jpg.

Note:

- Removing the line \geometry{headheight=1cm} from the subject, or using options (as long as they do not
include headheight) in \geometry removes the problem.

- If anyone has an idea on how to correct the bug and still grade the 60 or so papers | already received from
my students that would be amazing!

History

03/30/2021 01:30 pm - Alex Alex
Update: To answer my own question on how to "save" my batch of already filled-in papers, | simply removed the headheight=1cm option from the latex
subject and updated the documents. This had the effect to produce the exact same subject pdf except on the first page, this time with the correct layout

(except on the first page). | then graded the first page without AMC.

09/21/2021 10:37 am - Alexis Bienveniie

- Status changed from New to Feedback

| did not experience this problem with your source file and AMC version 1.5.0. Can you check if this is fixed on your side?

12/08/2021 04:25 pm - Alexis Bienvenlie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
Files

headheight_bug_amc.tex 318 Bytes 03/28/2021 Alex Alex
Screenshot_cr_page-2-1.png 31.7kB 03/28/2021 Alex Alex
